﻿using System.Collections;
using UnityEngine;

public class TerrainLooker : MonoBehaviour
{
    [Header("User settings")]
    public float gridSize = 1000;

    [Header("Autogenerated values")]
    public Transform player;

    public TerrainGenerator terrainGenerator;

    private void Start()
    {
        GameObject po = GameObject.FindGameObjectWithTag("Player");
        player = po.transform;

        gameObject.RequireComponentAuto(out terrainGenerator, "terrain generator");

        terrainGenerator.GenerateSurrounding(terrainGenerator.crawlStartPosition);
    }

    private void Update()
    {
        Vector3 ppos = player.position;
        Vector2Int pGridPos = new(Mathf.RoundToInt(ppos.x / gridSize), Mathf.RoundToInt(ppos.z / gridSize));
        Vector2Int cGridPos = terrainGenerator.currentGridPosition;

        if (pGridPos != cGridPos)
        {
            print($"Player grid pos: {pGridPos}, player actual: {ppos}");
            terrainGenerator.currentGridPosition = pGridPos;
            terrainGenerator.GenerateSurrounding(terrainGenerator.crawlStartPosition);
        }
    }
}